File: changelog

package info (click to toggle)
libexosip2 4.1.0-2.1
  • links: PTS, VCS
  • area: main
  • in suites: buster, stretch
  • size: 3,040 kB
  • ctags: 1,597
  • sloc: ansic: 21,465; sh: 11,005; makefile: 89
file content (236 lines) | stat: -rw-r--r-- 7,719 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
libexosip2 (4.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with OpenSSL 1.1, patch by Andreas Henriksson (Closes: #828395).

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 15 Dec 2016 23:31:29 +0500

libexosip2 (4.1.0-2) unstable; urgency=low

  * Upload to unstable - coordinated through debian-release 
  * Fix "missing license in debian/copyright" - updated (Closes: #736244)

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jun 2014 22:01:01 +1000

libexosip2 (4.1.0-1) experimental; urgency=low

  * New upstream release
  * NEW package libexosip2-11 - match soname 
  * Fix "use dh-autoreconf instead of autotools-dev to fix FTBFS on
    ppc64el" patch from ~logan (Closes: #735950)
  * Fix "Upstream license exception required to enable linking with SSL"
    Upstream exception added to debian/copyright (Closes: #688868)
  * Add Build-Depends: libssl-dev
  * quilt refresh
  * Fix further spelling-error-in-manpage.patch

 -- Mark Purcell <msp@debian.org>  Mon, 20 Jan 2014 21:48:15 +1100

libexosip2 (4.0.0-4) unstable; urgency=low

  * Standards-Version -> 3.9.4
  * Add dh_auto_build all - Fixes "FTBFS: dh_install:" (Closes: #718163)

 -- Mark Purcell <msp@debian.org>  Sun, 04 Aug 2013 10:37:55 +1000

libexosip2 (4.0.0-3) unstable; urgency=low

  * Upload to unstable 
  * Fix "Dependency on libosip2-dev most likely needs to be versioned"
    Added versioned Depends: (Closes: #700776)

 -- Mark Purcell <msp@debian.org>  Mon, 13 May 2013 20:22:48 +1000

libexosip2 (4.0.0-2) experimental; urgency=low

  * Update manpage to sip_reg-4.0.0(1)

 -- Mark Purcell <msp@debian.org>  Wed, 26 Dec 2012 11:14:49 +1100

libexosip2 (4.0.0-1) experimental; urgency=low

  * New upstream release
  * NEW package libexosip2-10 - match soname
  * Fix vcs-field-not-canonical
  * Refresh spelling-error-in-manpage.patch
  * Refresh spelling-error-in-binary.patch

 -- Mark Purcell <msp@debian.org>  Tue, 25 Dec 2012 10:44:53 +1100

libexosip2 (3.6.0-4) unstable; urgency=low

  * wheezey polish
  * Update Standards-Version: 3.9.3
  * Fix variable.diff quilt-patch-missing-description
  * Fix spelling-error-in-binary usr/bin/sip_reg-3.6.0 recieved received
  * Fix libexosip2-dev extended-description-is-probably-too-short
  * Fix spelling-error-in-manpage
  * debian/compat -> 9 - multiarch & hardening

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 20:42:02 +1000

libexosip2 (3.6.0-3) unstable; urgency=low

  * Added variable.diff patch from pinotree - thks
    - Fixes libexosip2: FTBFS on hurd-i386: (Closes: #661321)

 -- Mark Purcell <msp@debian.org>  Sun, 26 Feb 2012 21:37:34 +1100

libexosip2 (3.6.0-2) unstable; urgency=low

  * Upload to unstable - debian-release endorsed
  * Added --with autotools_dev
  * Fix "[libexosip2] "OSIP" completely uppercase in short description"
    Updated debian/control - note upstream uppercase X (Closes: #644864)

 -- Mark Purcell <msp@debian.org>  Sun, 26 Feb 2012 08:06:14 +1100

libexosip2 (3.6.0-1) experimental; urgency=low

  * New upstream release 
    - NEW package libeXosip2-7 - soname bump
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch to dh
  * Update to Standards Version 3.9.2
  * Fix "Getting rid of unneeded *.la / emptying dependency_libs"
    debian/rules sed -i (Closes: #633180)
  * Fix "[libexosip2-4] typo "establishement" in extended description"
    Updated debian/control (Closes: #583519)
  * Drop  binary-control-field-duplicates-source
  * cleanup debian/watch - debian-watch-contains-dh_make-template
  * Update debian/copyright GPL2 -  copyright-refers-to-symlink-license

 -- Mark Purcell <msp@debian.org>  Sat, 08 Oct 2011 15:20:31 +1100

libexosip2 (3.5.0-1) experimental; urgency=low

  * New upstream release

  [ Kilian Krause ]
  * Remove -N from wget args in get-orig-source target as -O is already
    used.

  [ Mark Purcell ]
  * NEW package libexosip2-6 - soname bump
  * Include html docs in -dev package
  * Build-Depends: libosip2-dev (>= 3.5)

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jan 2011 15:37:37 +1000

libexosip2 (3.3.0-1) unstable; urgency=low

  * New upstream release
    - libosip2 transition

 -- Mark Purcell <msp@debian.org>  Sat, 07 Mar 2009 11:51:53 +1100

libexosip2 (3.2.0-1) experimental; urgency=low

  * New upstream release

  [ Patrick Matthäi ]
  * Bumped to Standards-Version 3.8.0.

  [ Mark Purcell ]
  * export DH_ALWAYS_EXCLUDE := eXosip2_license.3.gz
  * Ship debian/manpages/* - Fix binary-without-manpage
  * Build-Depends: libosip2-dev (>= 3.2)

 -- Mark Purcell <msp@debian.org>  Sat, 15 Nov 2008 22:32:45 +1100

libexosip2 (3.1.0-1) unstable; urgency=low

  * New upstream release
  * Remove Conflicts:/ Replaces:  as libexosip2-5 (>> 3.0) does not
    exist in etch/ lenny/ sid
  * Build-Depends:/ Depends: libosip2-dev (>= 3.1)

 -- Mark Purcell <msp@debian.org>  Tue, 22 Apr 2008 19:39:04 +1000

libexosip2 (3.0.3-3-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sun, 30 Sep 2007 12:03:30 +0100

libexosip2 (3.0.3-2-2) unstable; urgency=high

  [ Kilian Krause ]
  * Build-Conflicts with libssl-dev to make sure it's not included in
    libexosip.pc (Closes: #442964)
  * Set high urgency due to fixing RC bug
  * Add versioned depends on cdbs >= 0.4.39 due to use of DEB_UPSTREAM_VERSION
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Rene Mayorga ]
  * Remove help/doxygen/doc in clean target to fix rebuild
    (Closes: #442632)
  * Added missing manpage for /usr/bin/sip_reg-3.0.3-2
  * Bump Standards-Version to 3.7.2
  * debian/compat set to 5
  * debian/control
    + debhelper versioned raised to 5
    + Added myself to uploaders

 -- Kilian Krause <kilian@debian.org>  Sat, 22 Sep 2007 12:08:47 +0200

libexosip2 (3.0.3-2-1) unstable; urgency=low

  * New upstream release
  * linda: debhelper.mk needs Build-Depends: (>= 4.1.0)
  * Bump build-Depends: libosip2-dev (>= 3.0.3-2-1)
  * Conflicts: libexosip2-5 (>> 3.0) missed soname bump
  * Set --program-suffix=-$(DEB_UPSTREAM_VERSION) allow libs pkgs to coexist
  * Set DoxyFile SHOW_DIRECTORIES=NO
    - manpages with wrong filename (Closes: #413302)
  * Add DEB_DH_ALWAYS_EXCLUDE := eXosip2_license.3.gz
    - lintian: extra-license-file 

 -- Mark Purcell <msp@debian.org>  Sat, 01 Sep 2007 00:40:23 +0100

libexosip2 (3.0.3-1) unstable; urgency=low

  [ Kilian Krause ]
  * New upstream release
  * debian/control:
     - New upstream version 3.0.0 requires libosip2-dev (>= 3.0.0) to fix FTBFS
     - Use new binary:Version stanza for binNMU safety.
       Requires dpkg-dev (>= 1.13.19)
  * debian/libexosip2-5.install:
     Remove eXosip_addidentity.sh as no longer provided by upstream.

 -- Mark Purcell <msp@debian.org>  Sun, 19 Aug 2007 12:07:38 +0100

libexosip2 (2.2.3-2) unstable; urgency=low

  * libexosip2-dev Depends: libosip2-dev
    - Fixes: missing dependency on libosip2-dev (Closes: #393637)

 -- Mark Purcell <msp@debian.org>  Sat,  9 Dec 2006 13:06:51 +0000

libexosip2 (2.2.3-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Thu,  4 May 2006 17:07:35 +0100

libexosip2 (2.2.2-3) unstable; urgency=low

  * debian/control: Add libosip2-dev to build-deps.

 -- Kilian Krause <kilian@debian.org>  Mon, 17 Apr 2006 10:36:48 +0000

libexosip2 (2.2.2-2) unstable; urgency=low

  * Update debian/copyright for src/inet_ntop.c which isn't GPL
  * Initial release. (Closes: #346515: ITP: libexosip2 -- eXtended OSIP
    library - Debian Bug report logs)

 -- Mark Purcell <msp@debian.org>  Mon, 17 Apr 2006 10:16:51 +0100

libexosip2 (2.2.2-1) unstable; urgency=low

  * Initial release Closes: #346515

 -- Mark Purcell <msp@debian.org>  Sat,  1 Apr 2006 07:58:30 +0100